Index: issm/trunk/src/c/Makefile.am
===================================================================
--- issm/trunk/src/c/Makefile.am	(revision 3912)
+++ issm/trunk/src/c/Makefile.am	(revision 3913)
@@ -34,4 +34,47 @@
 					./objects/Bamg/BamgOpts.h\
 					./objects/Bamg/BamgOpts.cpp\
+					./objects/Bamg/CrackedEdge.h\
+					./objects/Bamg/CrackedEdge.cpp\
+					./objects/Bamg/Curve.h\
+					./objects/Bamg/Curve.cpp\
+					./objects/Bamg/Direction.h\
+					./objects/Bamg/Direction.cpp\
+					./objects/Bamg/DoubleAndInt.h\
+					./objects/Bamg/Edge.h\
+					./objects/Bamg/Edge.cpp\
+					./objects/Bamg/GeometricalEdge.h\
+					./objects/Bamg/GeometricalEdge.cpp\
+					./objects/Bamg/GeometricalSubDomain.h\
+					./objects/Bamg/GeometricalSubDomain.cpp\
+					./objects/Bamg/GeometricalVertex.h\
+					./objects/Bamg/GeometricalVertex.cpp\
+					./objects/Bamg/Geometry.cpp\
+					./objects/Bamg/Geometry.h\
+					./objects/Bamg/ListofIntersectionTriangles.cpp\
+					./objects/Bamg/ListofIntersectionTriangles.h\
+					./objects/Bamg/MatVVP2x2.cpp\
+					./objects/Bamg/Metric.cpp\
+					./objects/Bamg/Metric.h\
+					./objects/Bamg/QuadTree.cpp\
+					./objects/Bamg/QuadTree.h\
+					./objects/Bamg/R2.h\
+					./objects/Bamg/SetOfE4.cpp\
+					./objects/Bamg/SetOfE4.h\
+					./objects/Bamg/SubDomain.h\
+					./objects/Bamg/SubDomain.cpp\
+					./objects/Bamg/TriangleAdjacent.h\
+					./objects/Bamg/TriangleAdjacent.cpp\
+					./objects/Bamg/Triangle.cpp\
+					./objects/Bamg/Triangle.h\
+					./objects/Bamg/Triangles.cpp\
+					./objects/Bamg/Triangles.h\
+					./objects/Bamg/MeshVertex.cpp\
+					./objects/Bamg/MeshVertex.h\
+					./objects/Bamg/VertexOnEdge.h\
+					./objects/Bamg/VertexOnEdge.cpp\
+					./objects/Bamg/VertexOnGeom.h\
+					./objects/Bamg/VertexOnGeom.cpp\
+					./objects/Bamg/VertexOnVertex.h\
+					./objects/Bamg/VertexOnVertex.cpp\
 					./objects/Element.h\
 					./objects/Model.h\
@@ -184,4 +227,14 @@
 					./shared/String/isdistributed.cpp\
 					./shared/String/sharedstring.h\
+					./shared/Bamg/Abs.h \
+					./shared/Bamg/BigPrimeNumber.h\
+					./shared/Bamg/BigPrimeNumber.cpp\
+					./shared/Bamg/BinaryRand.h \
+					./shared/Bamg/det.h \
+					./shared/Bamg/Exchange.h \
+					./shared/Bamg/extrema.h \
+					./shared/Bamg/HeapSort.h \
+					./shared/Bamg/Norm.h \
+					./shared/Bamg/OppositeAngle.h \
 					./toolkits/petsc\
 					./toolkits/petsc/patches\
@@ -238,225 +291,167 @@
 					./EnumDefinitions/EnumAsString.cpp\
 					./EnumDefinitions/StringAsEnum.cpp\
-					./ModelProcessorx/ModelProcessorx.h\
-					./ModelProcessorx/Partitioning.cpp\
-					./ModelProcessorx/CreateDataSets.cpp\
-					./ModelProcessorx/CreateParameters.cpp\
-					./ModelProcessorx/CreateSingleNodeToElementConnectivity.cpp\
-					./ModelProcessorx/DiagnosticHoriz/CreateElementsNodesAndMaterialsDiagnosticHoriz.cpp\
-					./ModelProcessorx/DiagnosticHoriz/CreateConstraintsDiagnosticHoriz.cpp \
-					./ModelProcessorx/DiagnosticHoriz/CreateLoadsDiagnosticHoriz.cpp\
-					./ModelProcessorx/DiagnosticVert/CreateElementsNodesAndMaterialsDiagnosticVert.cpp\
-					./ModelProcessorx/DiagnosticVert/CreateConstraintsDiagnosticVert.cpp \
-					./ModelProcessorx/DiagnosticVert/CreateLoadsDiagnosticVert.cpp\
-					./ModelProcessorx/DiagnosticHutter/CreateElementsNodesAndMaterialsDiagnosticHutter.cpp\
-					./ModelProcessorx/DiagnosticHutter/CreateConstraintsDiagnosticHutter.cpp \
-					./ModelProcessorx/DiagnosticHutter/CreateLoadsDiagnosticHutter.cpp\
-					./ModelProcessorx/DiagnosticStokes/CreateElementsNodesAndMaterialsDiagnosticStokes.cpp\
-					./ModelProcessorx/DiagnosticStokes/CreateConstraintsDiagnosticStokes.cpp \
-					./ModelProcessorx/DiagnosticStokes/CreateLoadsDiagnosticStokes.cpp\
-					./ModelProcessorx/SlopeCompute/CreateElementsNodesAndMaterialsSlopeCompute.cpp\
-					./ModelProcessorx/SlopeCompute/CreateConstraintsSlopeCompute.cpp \
-					./ModelProcessorx/SlopeCompute/CreateLoadsSlopeCompute.cpp\
-					./ModelProcessorx/Control/CreateParametersControl.cpp\
-					./ModelProcessorx/Thermal/CreateElementsNodesAndMaterialsThermal.cpp\
-					./ModelProcessorx/Thermal/CreateConstraintsThermal.cpp\
-					./ModelProcessorx/Thermal/CreateLoadsThermal.cpp\
-					./ModelProcessorx/Melting/CreateElementsNodesAndMaterialsMelting.cpp\
-					./ModelProcessorx/Melting/CreateConstraintsMelting.cpp\
-					./ModelProcessorx/Melting/CreateLoadsMelting.cpp\
-					./ModelProcessorx/Prognostic/CreateElementsNodesAndMaterialsPrognostic.cpp\
-					./ModelProcessorx/Prognostic/CreateConstraintsPrognostic.cpp\
-					./ModelProcessorx/Prognostic/CreateLoadsPrognostic.cpp\
-					./ModelProcessorx/Prognostic2/CreateElementsNodesAndMaterialsPrognostic2.cpp\
-					./ModelProcessorx/Prognostic2/CreateConstraintsPrognostic2.cpp\
-					./ModelProcessorx/Prognostic2/CreateLoadsPrognostic2.cpp\
-					./ModelProcessorx/Balancedthickness/CreateElementsNodesAndMaterialsBalancedthickness.cpp\
-					./ModelProcessorx/Balancedthickness/CreateConstraintsBalancedthickness.cpp\
-					./ModelProcessorx/Balancedthickness/CreateLoadsBalancedthickness.cpp\
-					./ModelProcessorx/Balancedthickness2/CreateElementsNodesAndMaterialsBalancedthickness2.cpp\
-					./ModelProcessorx/Balancedthickness2/CreateConstraintsBalancedthickness2.cpp\
-					./ModelProcessorx/Balancedthickness2/CreateLoadsBalancedthickness2.cpp\
-					./ModelProcessorx/Balancedvelocities/CreateElementsNodesAndMaterialsBalancedvelocities.cpp\
-					./ModelProcessorx/Balancedvelocities/CreateConstraintsBalancedvelocities.cpp\
-					./ModelProcessorx/Balancedvelocities/CreateLoadsBalancedvelocities.cpp\
-					./ModelProcessorx/Qmu/CreateParametersQmu.cpp\
-					./Dofx/Dofx.h\
-					./Dofx/Dofx.cpp\
-					./Dux/Dux.h\
-					./Dux/Dux.cpp\
-					./ControlConstrainx/ControlConstrainx.h\
-					./ControlConstrainx/ControlConstrainx.cpp\
-					./SurfaceAreax/SurfaceAreax.h\
-					./SurfaceAreax/SurfaceAreax.cpp\
-					./Misfitx/Misfitx.h\
-					./Misfitx/Misfitx.cpp\
-					./CostFunctionx/CostFunctionx.h\
-					./CostFunctionx/CostFunctionx.cpp\
-					./Orthx/Orthx.h\
-					./Orthx/Orthx.cpp\
-					./Gradjx/Gradjx.h\
-					./Gradjx/Gradjx.cpp\
-					./SplitSolutionVectorx/SplitSolutionVectorx.h\
-					./SplitSolutionVectorx/SplitSolutionVectorx.cpp\
-					./UpdateInputsFromConstantx/UpdateInputsFromConstantx.h\
-					./UpdateInputsFromConstantx/UpdateInputsFromConstantx.cpp\
-					./UpdateInputsFromSolutionx/UpdateInputsFromSolutionx.h\
-					./UpdateInputsFromSolutionx/UpdateInputsFromSolutionx.cpp\
-					./GetSolutionFromInputsx/GetSolutionFromInputsx.h\
-					./GetSolutionFromInputsx/GetSolutionFromInputsx.cpp\
-					./UpdateInputsFromVectorx/UpdateInputsFromVectorx.h\
-					./UpdateInputsFromVectorx/UpdateInputsFromVectorx.cpp\
-					./UpdateGeometryx/UpdateGeometryx.h\
-					./UpdateGeometryx/UpdateGeometryx.cpp\
-					./UpdateVertexPositionsx/UpdateVertexPositionsx.h\
-					./UpdateVertexPositionsx/UpdateVertexPositionsx.cpp\
-					./ConfigureObjectsx/ConfigureObjectsx.h\
-					./ConfigureObjectsx/ConfigureObjectsx.cpp\
-					./ComputeBasalStressx/ComputeBasalStressx.h\
-					./ComputeBasalStressx/ComputeBasalStressx.cpp\
-					./ComputePressurex/ComputePressurex.h\
-					./ComputePressurex/ComputePressurex.cpp\
-					./ComputeStrainRatex/ComputeStrainRatex.h\
-					./ComputeStrainRatex/ComputeStrainRatex.cpp\
-					./BuildNodeSetsx/BuildNodeSetsx.h\
-					./BuildNodeSetsx/BuildNodeSetsx.cpp\
-					./BuildNodeSetsx/PartitionSets.cpp\
-					./SpcNodesx/SpcNodesx.h\
-					./SpcNodesx/SpcNodesx.cpp\
-					./MpcNodesx/MpcNodesx.h\
-					./MpcNodesx/MpcNodesx.cpp\
-					./InterpFromGridToMeshx/InterpFromGridToMeshx.cpp\
-					./InterpFromGridToMeshx/InterpFromGridToMeshx.h\
-					./InterpFromGridToMeshx/InterpFromGridToMeshxt.cpp\
-					./InterpFromMeshToMesh2dx/InterpFromMeshToMesh2dx.cpp\
-					./InterpFromMeshToMesh2dx/InterpFromMeshToMesh2dx.h\
-					./InterpFromMeshToMesh3dx/InterpFromMeshToMesh3dx.cpp\
-					./InterpFromMeshToMesh3dx/InterpFromMeshToMesh3dx.h\
-					./InterpFromMeshToGridx/InterpFromMeshToGridx.cpp\
-					./InterpFromMeshToGridx/InterpFromMeshToGridx.h\
-					./HoleFillerx/HoleFillerx.cpp\
-					./HoleFillerx/HoleFillerx.h\
-					./AverageFilterx/AverageFilterx.cpp\
-					./AverageFilterx/AverageFilterx.h\
-					./MeshPartitionx/MeshPartitionx.cpp\
-					./MeshPartitionx/MeshPartitionx.h\
-					./ContourToMeshx/ContourToMeshx.cpp\
-					./ContourToMeshx/ContourToMeshxt.cpp\
-					./ContourToMeshx/ContourToMeshx.h\
-					./ContourToNodesx/ContourToNodesx.cpp\
-					./ContourToNodesx/ContourToNodesx.h\
-					./Reducevectorgtosx/Reducevectorgtosx.cpp\
-					./Reducevectorgtosx/Reducevectorgtosx.h\
-					./Reducevectorgtofx/Reducevectorgtofx.cpp\
-					./Reducevectorgtofx/Reducevectorgtofx.h\
-					./Reducematrixfromgtofx/Reducematrixfromgtofx.cpp\
-					./Reducematrixfromgtofx/Reducematrixfromgton.cpp\
-					./Reducematrixfromgtofx/Reducematrixfromgtofx.h\
-					./Reduceloadfromgtofx/Reduceloadfromgtofx.h\
-					./Reduceloadfromgtofx/Reduceloadfromgtofx.cpp\
-					./NormalizeConstraintsx/NormalizeConstraintsx.cpp\
-					./NormalizeConstraintsx/NormalizeConstraintsx.h\
-					./NodeConnectivityx/NodeConnectivityx.cpp\
-					./NodeConnectivityx/NodeConnectivityx.h\
-					./ElementConnectivityx/ElementConnectivityx.cpp\
-					./ElementConnectivityx/ElementConnectivityx.h\
-					./MassFluxx/MassFluxx.cpp\
-					./MassFluxx/MassFluxx.h\
-					./SystemMatricesx/SystemMatricesx.cpp\
-					./SystemMatricesx/SystemMatricesx.h\
-					./PenaltyConstraintsx/PenaltyConstraintsx.cpp\
-					./PenaltyConstraintsx/PenaltyConstraintsx.h\
-					./PenaltyConstraintsx/RiftConstraints.cpp\
-					./PenaltyConstraintsx/RiftConstraints.h\
-					./PenaltySystemMatricesx/PenaltySystemMatricesx.cpp\
-					./PenaltySystemMatricesx/PenaltySystemMatricesx.h\
-					./Solverx/Solverx.cpp\
-					./Solverx/Solverx.h\
-					./Mergesolutionfromftogx/Mergesolutionfromftogx.cpp\
-					./Mergesolutionfromftogx/Mergesolutionfromftogx.h\
-					./ProcessParamsx/ProcessParamsx.cpp\
-					./ProcessParamsx/ProcessParamsx.h\
-					./PropagateFlagsFromConnectivityx/PropagateFlagsFromConnectivityx.cpp\
-					./PropagateFlagsFromConnectivityx/PropagateFlagsFromConnectivityx.h\
-					./Qmux/Qmux.h\
-					./Qmux/Qmux.cpp\
-					./Qmux/SpawnCore.cpp\
-					./Qmux/SpawnCoreSerial.cpp\
-					./FieldAverageOntoVerticesx/FieldAverageOntoVerticesx.cpp\
-					./FieldAverageOntoVerticesx/FieldAverageOntoVerticesx.h\
-					./FieldDepthAveragex/FieldDepthAveragex.cpp\
-					./FieldDepthAveragex/FieldDepthAveragex.h\
-					./DepthAverageInputx/DepthAverageInputx.cpp\
-					./DepthAverageInputx/DepthAverageInputx.h\
-					./FieldExtrudex/FieldExtrudex.cpp\
-					./FieldExtrudex/FieldExtrudex.h\
-					./InputToResultx/InputToResultx.cpp\
-					./InputToResultx/InputToResultx.h\
-					./ExtrudeInputx/ExtrudeInputx.cpp\
-					./ExtrudeInputx/ExtrudeInputx.h\
-					./OutputRiftsx/OutputRiftsx.h\
-					./OutputRiftsx/OutputRiftsx.cpp\
-					./Bamgx/Bamgx.cpp\
-					./Bamgx/Bamgx.h\
-					./Bamgx/include/include.h \
-					./Bamgx/include/macros.h \
-					./Bamgx/include/typedefs.h \
-					./Bamgx/objects/BamgObjects.h \
-					./Bamgx/objects/CrackedEdge.h\
-					./Bamgx/objects/CrackedEdge.cpp\
-					./Bamgx/objects/Curve.h\
-					./Bamgx/objects/Curve.cpp\
-					./Bamgx/objects/Direction.h\
-					./Bamgx/objects/Direction.cpp\
-					./Bamgx/objects/DoubleAndInt.h\
-					./Bamgx/objects/Edge.h\
-					./Bamgx/objects/Edge.cpp\
-					./Bamgx/objects/GeometricalEdge.h\
-					./Bamgx/objects/GeometricalEdge.cpp\
-					./Bamgx/objects/GeometricalSubDomain.h\
-					./Bamgx/objects/GeometricalSubDomain.cpp\
-					./Bamgx/objects/GeometricalVertex.h\
-					./Bamgx/objects/GeometricalVertex.cpp\
-					./Bamgx/objects/Geometry.cpp\
-					./Bamgx/objects/Geometry.h\
-					./Bamgx/objects/ListofIntersectionTriangles.cpp\
-					./Bamgx/objects/ListofIntersectionTriangles.h\
-					./Bamgx/objects/MatVVP2x2.cpp\
-					./Bamgx/objects/Metric.cpp\
-					./Bamgx/objects/Metric.h\
-					./Bamgx/objects/QuadTree.cpp\
-					./Bamgx/objects/QuadTree.h\
-					./Bamgx/objects/R2.h\
-					./Bamgx/objects/SetOfE4.cpp\
-					./Bamgx/objects/SetOfE4.h\
-					./Bamgx/objects/SubDomain.h\
-					./Bamgx/objects/SubDomain.cpp\
-					./Bamgx/objects/TriangleAdjacent.h\
-					./Bamgx/objects/TriangleAdjacent.cpp\
-					./Bamgx/objects/Triangle.cpp\
-					./Bamgx/objects/Triangle.h\
-					./Bamgx/objects/Triangles.cpp\
-					./Bamgx/objects/Triangles.h\
-					./Bamgx/objects/MeshVertex.cpp\
-					./Bamgx/objects/MeshVertex.h\
-					./Bamgx/objects/VertexOnEdge.h\
-					./Bamgx/objects/VertexOnEdge.cpp\
-					./Bamgx/objects/VertexOnGeom.h\
-					./Bamgx/objects/VertexOnGeom.cpp\
-					./Bamgx/objects/VertexOnVertex.h\
-					./Bamgx/objects/VertexOnVertex.cpp\
-					./Bamgx/shared/Abs.h \
-					./Bamgx/shared/BigPrimeNumber.h\
-					./Bamgx/shared/BigPrimeNumber.cpp\
-					./Bamgx/shared/BinaryRand.h \
-					./Bamgx/shared/det.h \
-					./Bamgx/shared/Exchange.h \
-					./Bamgx/shared/extrema.h \
-					./Bamgx/shared/HeapSort.h \
-					./Bamgx/shared/Norm.h \
-					./Bamgx/shared/OppositeAngle.h \
-					./Bamgx/shared/shared.h\
-					./BamgConvertMeshx/BamgConvertMeshx.cpp\
-					./BamgConvertMeshx/BamgConvertMeshx.h
+					./modules/ModelProcessorx/ModelProcessorx.h\
+					./modules/ModelProcessorx/Partitioning.cpp\
+					./modules/ModelProcessorx/CreateDataSets.cpp\
+					./modules/ModelProcessorx/CreateParameters.cpp\
+					./modules/ModelProcessorx/CreateSingleNodeToElementConnectivity.cpp\
+					./modules/ModelProcessorx/DiagnosticHoriz/CreateElementsNodesAndMaterialsDiagnosticHoriz.cpp\
+					./modules/ModelProcessorx/DiagnosticHoriz/CreateConstraintsDiagnosticHoriz.cpp \
+					./modules/ModelProcessorx/DiagnosticHoriz/CreateLoadsDiagnosticHoriz.cpp\
+					./modules/ModelProcessorx/DiagnosticVert/CreateElementsNodesAndMaterialsDiagnosticVert.cpp\
+					./modules/ModelProcessorx/DiagnosticVert/CreateConstraintsDiagnosticVert.cpp \
+					./modules/ModelProcessorx/DiagnosticVert/CreateLoadsDiagnosticVert.cpp\
+					./modules/ModelProcessorx/DiagnosticHutter/CreateElementsNodesAndMaterialsDiagnosticHutter.cpp\
+					./modules/ModelProcessorx/DiagnosticHutter/CreateConstraintsDiagnosticHutter.cpp \
+					./modules/ModelProcessorx/DiagnosticHutter/CreateLoadsDiagnosticHutter.cpp\
+					./modules/ModelProcessorx/DiagnosticStokes/CreateElementsNodesAndMaterialsDiagnosticStokes.cpp\
+					./modules/ModelProcessorx/DiagnosticStokes/CreateConstraintsDiagnosticStokes.cpp \
+					./modules/ModelProcessorx/DiagnosticStokes/CreateLoadsDiagnosticStokes.cpp\
+					./modules/ModelProcessorx/SlopeCompute/CreateElementsNodesAndMaterialsSlopeCompute.cpp\
+					./modules/ModelProcessorx/SlopeCompute/CreateConstraintsSlopeCompute.cpp \
+					./modules/ModelProcessorx/SlopeCompute/CreateLoadsSlopeCompute.cpp\
+					./modules/ModelProcessorx/Control/CreateParametersControl.cpp\
+					./modules/ModelProcessorx/Thermal/CreateElementsNodesAndMaterialsThermal.cpp\
+					./modules/ModelProcessorx/Thermal/CreateConstraintsThermal.cpp\
+					./modules/ModelProcessorx/Thermal/CreateLoadsThermal.cpp\
+					./modules/ModelProcessorx/Melting/CreateElementsNodesAndMaterialsMelting.cpp\
+					./modules/ModelProcessorx/Melting/CreateConstraintsMelting.cpp\
+					./modules/ModelProcessorx/Melting/CreateLoadsMelting.cpp\
+					./modules/ModelProcessorx/Prognostic/CreateElementsNodesAndMaterialsPrognostic.cpp\
+					./modules/ModelProcessorx/Prognostic/CreateConstraintsPrognostic.cpp\
+					./modules/ModelProcessorx/Prognostic/CreateLoadsPrognostic.cpp\
+					./modules/ModelProcessorx/Prognostic2/CreateElementsNodesAndMaterialsPrognostic2.cpp\
+					./modules/ModelProcessorx/Prognostic2/CreateConstraintsPrognostic2.cpp\
+					./modules/ModelProcessorx/Prognostic2/CreateLoadsPrognostic2.cpp\
+					./modules/ModelProcessorx/Balancedthickness/CreateElementsNodesAndMaterialsBalancedthickness.cpp\
+					./modules/ModelProcessorx/Balancedthickness/CreateConstraintsBalancedthickness.cpp\
+					./modules/ModelProcessorx/Balancedthickness/CreateLoadsBalancedthickness.cpp\
+					./modules/ModelProcessorx/Balancedthickness2/CreateElementsNodesAndMaterialsBalancedthickness2.cpp\
+					./modules/ModelProcessorx/Balancedthickness2/CreateConstraintsBalancedthickness2.cpp\
+					./modules/ModelProcessorx/Balancedthickness2/CreateLoadsBalancedthickness2.cpp\
+					./modules/ModelProcessorx/Balancedvelocities/CreateElementsNodesAndMaterialsBalancedvelocities.cpp\
+					./modules/ModelProcessorx/Balancedvelocities/CreateConstraintsBalancedvelocities.cpp\
+					./modules/ModelProcessorx/Balancedvelocities/CreateLoadsBalancedvelocities.cpp\
+					./modules/ModelProcessorx/Qmu/CreateParametersQmu.cpp\
+					./modules/Dofx/Dofx.h\
+					./modules/Dofx/Dofx.cpp\
+					./modules/Dux/Dux.h\
+					./modules/Dux/Dux.cpp\
+					./modules/ControlConstrainx/ControlConstrainx.h\
+					./modules/ControlConstrainx/ControlConstrainx.cpp\
+					./modules/SurfaceAreax/SurfaceAreax.h\
+					./modules/SurfaceAreax/SurfaceAreax.cpp\
+					./modules/Misfitx/Misfitx.h\
+					./modules/Misfitx/Misfitx.cpp\
+					./modules/CostFunctionx/CostFunctionx.h\
+					./modules/CostFunctionx/CostFunctionx.cpp\
+					./modules/Orthx/Orthx.h\
+					./modules/Orthx/Orthx.cpp\
+					./modules/Gradjx/Gradjx.h\
+					./modules/Gradjx/Gradjx.cpp\
+					./modules/SplitSolutionVectorx/SplitSolutionVectorx.h\
+					./modules/SplitSolutionVectorx/SplitSolutionVectorx.cpp\
+					./modules/UpdateInputsFromConstantx/UpdateInputsFromConstantx.h\
+					./modules/UpdateInputsFromConstantx/UpdateInputsFromConstantx.cpp\
+					./modules/UpdateInputsFromSolutionx/UpdateInputsFromSolutionx.h\
+					./modules/UpdateInputsFromSolutionx/UpdateInputsFromSolutionx.cpp\
+					./modules/GetSolutionFromInputsx/GetSolutionFromInputsx.h\
+					./modules/GetSolutionFromInputsx/GetSolutionFromInputsx.cpp\
+					./modules/UpdateInputsFromVectorx/UpdateInputsFromVectorx.h\
+					./modules/UpdateInputsFromVectorx/UpdateInputsFromVectorx.cpp\
+					./modules/UpdateGeometryx/UpdateGeometryx.h\
+					./modules/UpdateGeometryx/UpdateGeometryx.cpp\
+					./modules/UpdateVertexPositionsx/UpdateVertexPositionsx.h\
+					./modules/UpdateVertexPositionsx/UpdateVertexPositionsx.cpp\
+					./modules/ConfigureObjectsx/ConfigureObjectsx.h\
+					./modules/ConfigureObjectsx/ConfigureObjectsx.cpp\
+					./modules/ComputeBasalStressx/ComputeBasalStressx.h\
+					./modules/ComputeBasalStressx/ComputeBasalStressx.cpp\
+					./modules/ComputePressurex/ComputePressurex.h\
+					./modules/ComputePressurex/ComputePressurex.cpp\
+					./modules/ComputeStrainRatex/ComputeStrainRatex.h\
+					./modules/ComputeStrainRatex/ComputeStrainRatex.cpp\
+					./modules/BuildNodeSetsx/BuildNodeSetsx.h\
+					./modules/BuildNodeSetsx/BuildNodeSetsx.cpp\
+					./modules/BuildNodeSetsx/PartitionSets.cpp\
+					./modules/SpcNodesx/SpcNodesx.h\
+					./modules/SpcNodesx/SpcNodesx.cpp\
+					./modules/MpcNodesx/MpcNodesx.h\
+					./modules/MpcNodesx/MpcNodesx.cpp\
+					./modules/InterpFromGridToMeshx/InterpFromGridToMeshx.cpp\
+					./modules/InterpFromGridToMeshx/InterpFromGridToMeshx.h\
+					./modules/InterpFromGridToMeshx/InterpFromGridToMeshxt.cpp\
+					./modules/InterpFromMeshToMesh2dx/InterpFromMeshToMesh2dx.cpp\
+					./modules/InterpFromMeshToMesh2dx/InterpFromMeshToMesh2dx.h\
+					./modules/InterpFromMeshToMesh3dx/InterpFromMeshToMesh3dx.cpp\
+					./modules/InterpFromMeshToMesh3dx/InterpFromMeshToMesh3dx.h\
+					./modules/InterpFromMeshToGridx/InterpFromMeshToGridx.cpp\
+					./modules/InterpFromMeshToGridx/InterpFromMeshToGridx.h\
+					./modules/HoleFillerx/HoleFillerx.cpp\
+					./modules/HoleFillerx/HoleFillerx.h\
+					./modules/AverageFilterx/AverageFilterx.cpp\
+					./modules/AverageFilterx/AverageFilterx.h\
+					./modules/MeshPartitionx/MeshPartitionx.cpp\
+					./modules/MeshPartitionx/MeshPartitionx.h\
+					./modules/ContourToMeshx/ContourToMeshx.cpp\
+					./modules/ContourToMeshx/ContourToMeshxt.cpp\
+					./modules/ContourToMeshx/ContourToMeshx.h\
+					./modules/ContourToNodesx/ContourToNodesx.cpp\
+					./modules/ContourToNodesx/ContourToNodesx.h\
+					./modules/Reducevectorgtosx/Reducevectorgtosx.cpp\
+					./modules/Reducevectorgtosx/Reducevectorgtosx.h\
+					./modules/Reducevectorgtofx/Reducevectorgtofx.cpp\
+					./modules/Reducevectorgtofx/Reducevectorgtofx.h\
+					./modules/Reducematrixfromgtofx/Reducematrixfromgtofx.cpp\
+					./modules/Reducematrixfromgtofx/Reducematrixfromgton.cpp\
+					./modules/Reducematrixfromgtofx/Reducematrixfromgtofx.h\
+					./modules/Reduceloadfromgtofx/Reduceloadfromgtofx.h\
+					./modules/Reduceloadfromgtofx/Reduceloadfromgtofx.cpp\
+					./modules/NormalizeConstraintsx/NormalizeConstraintsx.cpp\
+					./modules/NormalizeConstraintsx/NormalizeConstraintsx.h\
+					./modules/NodeConnectivityx/NodeConnectivityx.cpp\
+					./modules/NodeConnectivityx/NodeConnectivityx.h\
+					./modules/ElementConnectivityx/ElementConnectivityx.cpp\
+					./modules/ElementConnectivityx/ElementConnectivityx.h\
+					./modules/MassFluxx/MassFluxx.cpp\
+					./modules/MassFluxx/MassFluxx.h\
+					./modules/SystemMatricesx/SystemMatricesx.cpp\
+					./modules/SystemMatricesx/SystemMatricesx.h\
+					./modules/PenaltyConstraintsx/PenaltyConstraintsx.cpp\
+					./modules/PenaltyConstraintsx/PenaltyConstraintsx.h\
+					./modules/PenaltyConstraintsx/RiftConstraints.cpp\
+					./modules/PenaltyConstraintsx/RiftConstraints.h\
+					./modules/PenaltySystemMatricesx/PenaltySystemMatricesx.cpp\
+					./modules/PenaltySystemMatricesx/PenaltySystemMatricesx.h\
+					./modules/Solverx/Solverx.cpp\
+					./modules/Solverx/Solverx.h\
+					./modules/Mergesolutionfromftogx/Mergesolutionfromftogx.cpp\
+					./modules/Mergesolutionfromftogx/Mergesolutionfromftogx.h\
+					./modules/ProcessParamsx/ProcessParamsx.cpp\
+					./modules/ProcessParamsx/ProcessParamsx.h\
+					./modules/PropagateFlagsFromConnectivityx/PropagateFlagsFromConnectivityx.cpp\
+					./modules/PropagateFlagsFromConnectivityx/PropagateFlagsFromConnectivityx.h\
+					./modules/Qmux/Qmux.h\
+					./modules/Qmux/Qmux.cpp\
+					./modules/Qmux/SpawnCore.cpp\
+					./modules/Qmux/SpawnCoreSerial.cpp\
+					./modules/FieldAverageOntoVerticesx/FieldAverageOntoVerticesx.cpp\
+					./modules/FieldAverageOntoVerticesx/FieldAverageOntoVerticesx.h\
+					./modules/FieldDepthAveragex/FieldDepthAveragex.cpp\
+					./modules/FieldDepthAveragex/FieldDepthAveragex.h\
+					./modules/DepthAverageInputx/DepthAverageInputx.cpp\
+					./modules/DepthAverageInputx/DepthAverageInputx.h\
+					./modules/FieldExtrudex/FieldExtrudex.cpp\
+					./modules/FieldExtrudex/FieldExtrudex.h\
+					./modules/InputToResultx/InputToResultx.cpp\
+					./modules/InputToResultx/InputToResultx.h\
+					./modules/ExtrudeInputx/ExtrudeInputx.cpp\
+					./modules/ExtrudeInputx/ExtrudeInputx.h\
+					./modules/OutputRiftsx/OutputRiftsx.h\
+					./modules/OutputRiftsx/OutputRiftsx.cpp\
+					./modules/Bamgx/Bamgx.cpp\
+					./modules/Bamgx/Bamgx.h\
+					./modules/BamgConvertMeshx/BamgConvertMeshx.cpp\
+					./modules/BamgConvertMeshx/BamgConvertMeshx.h
 
 libISSM_a_CXXFLAGS = -fPIC -DMATLAB -D_SERIAL_ -ansi -D_GNU_SOURCE -fno-omit-frame-pointer -pthread -D_CPP_  $(CXXOPTFLAGS)
@@ -483,4 +478,47 @@
 					./objects/Bamg/BamgOpts.h\
 					./objects/Bamg/BamgOpts.cpp\
+					./objects/Bamg/BamgObjects.h \
+					./objects/Bamg/CrackedEdge.h\
+					./objects/Bamg/CrackedEdge.cpp\
+					./objects/Bamg/Curve.h\
+					./objects/Bamg/Curve.cpp\
+					./objects/Bamg/Direction.h\
+					./objects/Bamg/Direction.cpp\
+					./objects/Bamg/DoubleAndInt.h\
+					./objects/Bamg/Edge.h\
+					./objects/Bamg/Edge.cpp\
+					./objects/Bamg/GeometricalEdge.h\
+					./objects/Bamg/GeometricalEdge.cpp\
+					./objects/Bamg/GeometricalSubDomain.h\
+					./objects/Bamg/GeometricalSubDomain.cpp\
+					./objects/Bamg/GeometricalVertex.h\
+					./objects/Bamg/GeometricalVertex.cpp\
+					./objects/Bamg/Geometry.cpp\
+					./objects/Bamg/Geometry.h\
+					./objects/Bamg/ListofIntersectionTriangles.cpp\
+					./objects/Bamg/ListofIntersectionTriangles.h\
+					./objects/Bamg/MatVVP2x2.cpp\
+					./objects/Bamg/Metric.cpp\
+					./objects/Bamg/Metric.h\
+					./objects/Bamg/QuadTree.cpp\
+					./objects/Bamg/QuadTree.h\
+					./objects/Bamg/R2.h\
+					./objects/Bamg/SetOfE4.cpp\
+					./objects/Bamg/SetOfE4.h\
+					./objects/Bamg/SubDomain.h\
+					./objects/Bamg/SubDomain.cpp\
+					./objects/Bamg/TriangleAdjacent.h\
+					./objects/Bamg/TriangleAdjacent.cpp\
+					./objects/Bamg/Triangle.cpp\
+					./objects/Bamg/Triangle.h\
+					./objects/Bamg/Triangles.cpp\
+					./objects/Bamg/Triangles.h\
+					./objects/Bamg/MeshVertex.cpp\
+					./objects/Bamg/MeshVertex.h\
+					./objects/Bamg/VertexOnEdge.h\
+					./objects/Bamg/VertexOnEdge.cpp\
+					./objects/Bamg/VertexOnGeom.h\
+					./objects/Bamg/VertexOnGeom.cpp\
+					./objects/Bamg/VertexOnVertex.h\
 					./objects/Element.h\
 					./objects/Model.h\
@@ -631,4 +669,14 @@
 					./shared/String/isdistributed.cpp\
 					./shared/String/sharedstring.h\
+					./shared/Bamg/Abs.h \
+					./shared/Bamg/BigPrimeNumber.h\
+					./shared/Bamg/BigPrimeNumber.cpp\
+					./shared/Bamg/BinaryRand.h \
+					./shared/Bamg/det.h \
+					./shared/Bamg/Exchange.h \
+					./shared/Bamg/extrema.h \
+					./shared/Bamg/HeapSort.h \
+					./shared/Bamg/Norm.h \
+					./shared/Bamg/OppositeAngle.h \
 					./toolkits/petsc\
 					./toolkits/petsc/patches\
